> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api/odds-recovery/request-full-odds-recovery-endpoint/endpoint.md).

# Endpoint

## Recover sport event

> Request to resend all odds for all markets for a sport event.

```json
{"openapi":"3.0.3","info":{"title":"Betradar API","version":"1.0.0"},"servers":[{"url":"https://global.api.betradar.com/v1"}],"security":[{"key":[]}],"components":{"securitySchemes":{"key":{"type":"apiKey","in":"header","name":"x-access-token"}}},"paths":{"/{product}/odds/events/{urn_type}:{id}/initiate_request":{"post":{"summary":"Recover sport event","description":"Request to resend all odds for all markets for a sport event.","operationId":"recoverOddsForEvent","tags":["Odds Recovery"],"parameters":[{"name":"product","in":"path","description":"Get odds for prematch, live, premium cricket, betpal or virtual sports matches.","required":true,"schema":{"type":"string","enum":["pre","liveodds","premium_cricket","betpal","vf","vbl","vto","vdr","vhc","vti","codds","vci","vbi"]},"default":"pre"},{"name":"urn_type","in":"path","description":"The event type you want to look up. Prefixes beginning with 'v' are for virtual sports.","required":true,"schema":{"type":"string","enum":["sr:match","sr:simple_tournament","sr:stage","sr:season","vf:match","vbl:match","vto:match","vdr:stage","vhc:stage","vti:match","vti:tournament","vci:match","vci:tournament","vbi:match","vbi:tournament"]},"default":"sr:match"},{"name":"id","in":"path","description":"Get oddschanges for the event ID.","required":true,"schema":{"type":"integer"},"default":9047751},{"name":"request_id","in":"query","description":"Send a snapshotcomplete message with this request ID over the feed when finished with request.","required":false,"schema":{"type":"integer"},"default":316},{"name":"node_id","in":"query","description":"If provided, the node ID will be included in the routing key for all recovery messages associated with this request. The node ID must be a positive integer. This parameter is optional for UOF-only clients, but mandatory for MTS clients.","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/odds-recovery/request-full-odds-recovery-endpoint/endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
